<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/incidences.js");
    loadCSS('css/flags/flags.min.css');
</script>
<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <strong class="h4" th:text="#{supportIncidents}">Soporte - Incidencias</strong>
                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>                                
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <span th:text="#{state}">Estado:</span>
                        <select name="status" id="status">
                            <option th:selected="${status == null  || status == 'open'}" value="open"><span th:text="#{open-}"></span></option>
                            <option th:selected="${status != null  && status == 'inprocess'}" value="inprocess"><span th:text="#{inprocess}"></span></option>
                            <option th:selected="${status != null  && status == 'closed'}" value="closed"><span th:text="#{closed-}"></span></option>
                            <option th:selected="${status != null  && status == 'all'}" value="all" value="all"><span th:text="#{all}"></span></option>
                        </select>
                        <span th:text="#{assigned-}">Asignadas:</span>                    
                        <select name="asignation" id="asignation">
                            <option th:selected="${asignation == null  || asignation == 'support'}" value="support">                    
                            <span th:text="#{menu.support}">Soporte</span>                  
                            </option>
                            <option th:selected="${asignation != null  && asignation == 'admin'}" value="admin">
                            <span th:text="#{admin}">Admin</span>                 
                            </option>
                            <option th:selected="${asignation != null  && asignation == 'all'}" value="all">
                            <span th:text="#{all}">Todos</span>                
                            </option>
                        </select>
                        &nbsp;                               
                        <span th:text="#{countryName}">País:</span>
                        <select name="country" id="country">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:each="c : ${countries}" th:selected="${country == c}" th:value="${c}" th:text="#{${c}}">España</option>
                        </select>

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>
                        <button class="btn btn-sm btn-success" id="create-form">
                            <i class="fa fa-plus"></i>&nbsp;<span th:text="#{create}"></span>
                        </button>

                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="x_content" th:each="msg : ${page.content}">
                <div class="x_panel">
                    <div class="x_title">
                        <img src="/css/flags/blank.gif" class="flag" th:classappend="'flag-'+ ${#strings.toLowerCase(msg.country)}"/>
                        <a href="#" th:onclick="'window.location.replace(\'/admin#admin/support/incidences/' + ${msg.id} + '\');window.location.reload();'">
                            <small th:text="${#dates.format(msg.creationDate, 'dd/MM/yyyy HH:mm')}"></small> - <strong th:text="${msg.title}"></strong>
                        </a>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        <span class="right">
                            <span th:switch="${msg.status}">
                                <span th:case="open" class="label label-danger" th:text="#{${msg.status}}"></span>
                                <span th:case="inprocess" class="label label-info" th:text="#{${msg.status}}"></span>
                                <span th:case="closed" class="label label-success" th:text="#{${msg.status}}"></span>
                            </span>
                        </span>
                        <p th:text="${msg.description}"></p>
                        <p th:if="${msg.attachment != null}"><i class="fa fa-paperclip"></i>&nbsp;<span th:text="#{containsAttachment}">Contiene adjunto</span></p>
                        <span th:if="${msg.memberId != null}">
                            <br/>
                            <h6><span th:text="#{bonus.username} + ':'">Usuario:</span>&nbsp;<strong th:text="${msg.username}"></strong></h6>
                            <h6><span th:text="#{name} + ':'">Nombre:</span>&nbsp;<strong th:text="${msg.firstName} + ' ' + ${msg.lastName}"></strong></h6>
                        </span>
                        <h1></h1>                        

                        <span th:if="${msg.status=='closed'}">
                            <div class="divider"></div>
                            <i class="fa fa-arrow-right"></i>
                            <span th:text="#{closedOn}">Cerrada el</span> 
                            <small th:text="${#dates.format(msg.closedDate, 'dd/MM/yyyy HH:mm')}"></small>&nbsp;<span th:text="#{closedBy}">por</span>&nbsp;<strong th:text="${msg.closedUser}"></strong>
                            <br/>
                            <p th:text="${msg.closedMessage}"></p>
                        </span>
                    </div>
                </div>
            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>
</div>